[auto-pkg-updater] Update chromeos-base/system_api

Upgraded chromeos-base/system_api to v0.0.1-r5643

BUG=b/325324765
TEST=presubmit
RELEASE_NOTE=Upgraded chromeos-base/system_api to v0.0.1-r5643.

Change-Id: I8eae9002f9edc8444e0d876036c69a94e95c8218
Reviewed-on: https://cos-review.googlesource.com/c/third_party/overlays/chromiumos-overlay/+/65052
Tested-by: Cusky Presubmit Bot <presubmit@cos-infra-prod.iam.gserviceaccount.com>
Reviewed-by: He Gao <hegao@google.com>
Reviewed-by: Nandhini Rengaraj <nrengaraj@google.com>
diff --git a/chromeos-base/system_api/system_api-0.0.1-r5440.ebuild b/chromeos-base/system_api/system_api-0.0.1-r5440.ebuild
deleted file mode 100644
index ae1537f..0000000
--- a/chromeos-base/system_api/system_api-0.0.1-r5440.ebuild
+++ /dev/null
@@ -1,95 +0,0 @@
-# Copyright 2011 The ChromiumOS Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-CROS_WORKON_COMMIT="63150342c81b7d2c6e55b02852c0837a782f27f6"
-CROS_WORKON_TREE=("41d899585b7a07ea908a0cca2944a7b8a4d13655" "77e4caa9f948914a0566ea295df91f90b7c821d6" "f91b6afd5f2ae04ee9a2c19109a3a4a36f7659e6")
-CROS_GO_PACKAGES=(
-	"chromiumos/system_api/..."
-)
-
-CROS_WORKON_LOCALNAME="platform2"
-CROS_WORKON_PROJECT="chromiumos/platform2"
-CROS_WORKON_OUTOFTREE_BUILD=1
-CROS_WORKON_SUBTREE="common-mk system_api .gn"
-CROS_WORKON_INCREMENTAL_BUILD="1"
-
-PLATFORM_SUBDIR="system_api"
-WANT_LIBBRILLO="no"
-
-inherit cros-fuzzer cros-go cros-workon platform
-
-DESCRIPTION="Chrome OS system API (D-Bus service names, etc.)"
-HOMEPAGE="https://chromium.googlesource.com/chromiumos/platform2/+/HEAD/system_api/"
-LICENSE="BSD-Google"
-KEYWORDS="*"
-IUSE="cros_host"
-
-RDEPEND="
-	dev-libs/protobuf:=
-	cros_host? ( net-libs/grpc:= )
-"
-
-DEPEND="${RDEPEND}
-	dev-go/protobuf:=
-	dev-go/protobuf-legacy-api:=
-"
-
-BDEPEND="
-	dev-go/protobuf-legacy-api
-	dev-libs/protobuf
-"
-
-src_unpack() {
-	platform_src_unpack
-	CROS_GO_WORKSPACE="${OUT}/gen/go"
-}
-
-src_install() {
-	platform_src_install
-
-	find "${D}"/usr/include/ \
-		'(' -name OWNERS -o -name DIR_METADATA -o -name '*.md' ')' \
-		-delete || die
-
-	# Install the dbus-constants.h files in the respective daemons' client library
-	# include directory. Users will need to include the corresponding client
-	# library to access these files.
-	local dir dirs=(
-		anomaly_detector
-		attestation
-		biod
-		chunneld
-		cros-disks
-		cros_healthd
-		cryptohome
-		debugd
-		discod
-		dlcservice
-		kerberos
-		login_manager
-		lorgnette
-		oobe_config
-		runtime_probe
-		pciguard
-		permission_broker
-		printscanmgr
-		power_manager
-		rgbkbd
-		rmad
-		shadercached
-		shill
-		smbprovider
-		tpm_manager
-		u2f
-		update_engine
-		wilco_dtc_supportd
-	)
-	for dir in "${dirs[@]}"; do
-		insinto /usr/include/"${dir}"-client/"${dir}"
-		doins dbus/"${dir}"/dbus-constants.h
-	done
-
-	cros-go_src_install
-}
diff --git a/chromeos-base/system_api/system_api-0.0.1-r5643.ebuild b/chromeos-base/system_api/system_api-0.0.1-r5643.ebuild
new file mode 100644
index 0000000..ec29f9be
--- /dev/null
+++ b/chromeos-base/system_api/system_api-0.0.1-r5643.ebuild
@@ -0,0 +1,55 @@
+# Copyright 2011 The ChromiumOS Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+CROS_WORKON_COMMIT="df6ddaf059731b0d25ad5d1d7f932d96d4c596d9"
+CROS_WORKON_TREE=("b087d67fb825144293443ca40ea96e830e5a21f0" "f1483bd5a965104147ddfea4622ce5577ac3419f" "f91b6afd5f2ae04ee9a2c19109a3a4a36f7659e6")
+CROS_GO_PACKAGES=(
+	"chromiumos/system_api/..."
+)
+
+CROS_WORKON_LOCALNAME="platform2"
+CROS_WORKON_PROJECT="chromiumos/platform2"
+CROS_WORKON_OUTOFTREE_BUILD=1
+CROS_WORKON_SUBTREE="common-mk system_api .gn"
+CROS_WORKON_INCREMENTAL_BUILD="1"
+
+PLATFORM_SUBDIR="system_api"
+WANT_LIBBRILLO="no"
+
+inherit cros-fuzzer cros-go cros-workon platform cros-protobuf
+
+DESCRIPTION="Chrome OS system API (D-Bus service names, etc.)"
+HOMEPAGE="https://chromium.googlesource.com/chromiumos/platform2/+/HEAD/system_api/"
+LICENSE="BSD-Google"
+KEYWORDS="*"
+IUSE="cros_host"
+
+RDEPEND="
+	cros_host? ( net-libs/grpc:= )
+"
+
+DEPEND="${RDEPEND}
+	dev-go/protobuf:=
+	dev-go/protobuf-legacy-api:=
+"
+
+BDEPEND="
+	dev-go/protobuf-legacy-api
+"
+
+src_unpack() {
+	platform_src_unpack
+	CROS_GO_WORKSPACE="${OUT}/gen/go"
+}
+
+src_install() {
+	platform_src_install
+
+	find "${D}"/usr/include/ \
+		'(' -name OWNERS -o -name DIR_METADATA -o -name '*.md' ')' \
+		-delete || die
+
+	cros-go_src_install
+}
diff --git a/chromeos-base/system_api/system_api-9999.ebuild b/chromeos-base/system_api/system_api-9999.ebuild
index fd4e7b1..227b1d3 100644
--- a/chromeos-base/system_api/system_api-9999.ebuild
+++ b/chromeos-base/system_api/system_api-9999.ebuild
@@ -16,7 +16,7 @@
 PLATFORM_SUBDIR="system_api"
 WANT_LIBBRILLO="no"
 
-inherit cros-fuzzer cros-go cros-workon platform
+inherit cros-fuzzer cros-go cros-workon platform cros-protobuf
 
 DESCRIPTION="Chrome OS system API (D-Bus service names, etc.)"
 HOMEPAGE="https://chromium.googlesource.com/chromiumos/platform2/+/HEAD/system_api/"
@@ -25,7 +25,6 @@
 IUSE="cros_host"
 
 RDEPEND="
-	dev-libs/protobuf:=
 	cros_host? ( net-libs/grpc:= )
 "
 
@@ -36,7 +35,6 @@
 
 BDEPEND="
 	dev-go/protobuf-legacy-api
-	dev-libs/protobuf
 "
 
 src_unpack() {
@@ -51,43 +49,5 @@
 		'(' -name OWNERS -o -name DIR_METADATA -o -name '*.md' ')' \
 		-delete || die
 
-	# Install the dbus-constants.h files in the respective daemons' client library
-	# include directory. Users will need to include the corresponding client
-	# library to access these files.
-	local dir dirs=(
-		anomaly_detector
-		attestation
-		biod
-		chunneld
-		cros-disks
-		cros_healthd
-		cryptohome
-		debugd
-		discod
-		dlcservice
-		kerberos
-		login_manager
-		lorgnette
-		oobe_config
-		runtime_probe
-		pciguard
-		permission_broker
-		printscanmgr
-		power_manager
-		rgbkbd
-		rmad
-		shadercached
-		shill
-		smbprovider
-		tpm_manager
-		u2f
-		update_engine
-		wilco_dtc_supportd
-	)
-	for dir in "${dirs[@]}"; do
-		insinto /usr/include/"${dir}"-client/"${dir}"
-		doins dbus/"${dir}"/dbus-constants.h
-	done
-
 	cros-go_src_install
 }